## org.apache.cassandra.db
Class WriteResponse.WriteResponseSerializer

    java.lang.Object
      org.apache.cassandra.db.WriteResponse.WriteResponseSerializer

All Implemented Interfaces:
  IVersionedSerializer<WriteResponse>

Enclosing class:
  WriteResponse

    public static class WriteResponse.WriteResponseSerializer

extends java.lang.Object
implements IVersionedSerializer<WriteResponse>

Constructor Summary
`WriteResponse.WriteResponseSerializer()`

Method Summary
`WriteResponse` `deserialize(java.io.DataInput dis, int version)` Deserialize into the specified DataInputStream instance.
`void` `serialize(WriteResponse wm, java.io.DataOutput dos, int version)` Serialize the specified type into the specified DataOutputStream instance.
`long` `serializedSize(WriteResponse response, int version)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WriteResponse.WriteResponseSerializer

    public WriteResponse.WriteResponseSerializer()

Method Detail

### serialize

    public void serialize(WriteResponse wm,
                          java.io.DataOutput dos,
                          int version)
                   throws java.io.IOException

  Description copied from interface: `IVersionedSerializer`
  Serialize the specified type into the specified DataOutputStream instance.

  Specified by:
    `serialize` in interface `IVersionedSerializer<WriteResponse>`
  Parameters:
    `wm` - type that needs to be serialized
    `dos` - DataOutput into which serialization needs to happen.
  Throws:
    `java.io.IOException`

### deserialize

    public WriteResponse deserialize(java.io.DataInput dis,
                                     int version)
                              throws java.io.IOException

  Description copied from interface: `IVersionedSerializer`
  Deserialize into the specified DataInputStream instance.

  Specified by:
    `deserialize` in interface `IVersionedSerializer<WriteResponse>`
  Parameters:
    `dis` - DataInput from which deserialization needs to happen.
  Returns:
    the type that was deserialized
  Throws:
    `java.io.IOException`

### serializedSize

    public long serializedSize(WriteResponse response,
                               int version)

  Specified by:
    `serializedSize` in interface `IVersionedSerializer<WriteResponse>`

Copyright © 2013 The Apache Software Foundation